<?php include_once('../../autoload.php');
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);


//dados dinamicos do ingresso
$ingresso_selecionado = $_POST["ingresso_participante_id"] ?? $ingresso_participante_id;
$ingresso = (new IngressoParticipante)->and('ingresso_participante_id', $ingresso_selecionado)->consultar();
$forma_pagamento = ((new FormaPagamento)->and('forma_pagamento_nome', 'Pix', 'LIKE')->consultar())->forma_pagamento_id;

// conexao PIX SICREDI

$client_id =  'MDI0Nzk1MTcwMDAxMzA6MDAwMzprWjM';
$client_secret = 'bWNfNiVQNkdkKXlJWTBj';
$certificado = '02479517000130.cer';
$key_certificado = 'api-pix-feneva_nokey.key';

$api = (new PixSicredi($client_id, $client_secret, $certificado, $key_certificado));


$arrPix = [
    'calendario' => [
        'expiracao' => 3600
    ],
    'valor' => [
        'original' => number_format((float)$ingresso->ingresso_valor, 2, '.', '')
    ],
    'chave' => '256744f5-c54e-438c-8241-5a63c60f55a6',
    'solicitacaoPagador' => $ingresso->ingresso_nome
];
$txtId = ($ingresso->ingresso_participante_pix_id != '' ? $ingresso->ingresso_participante_pix_id : md5(date('YmdHis') . rand(1000, 9999)));


$at_ingresso = (new IngressoParticipante);
$at_ingresso->dados([
    "ingresso_participante_id" => $ingresso->ingresso_participante_id,
    "ingresso_participante_pix_id" => $txtId
]);
$at_ingresso->alterar();

$res = $api->registerPix($arrPix, $txtId);
echo '<p class="text-center">';
echo $ingresso->participante_nome;
echo '<br>';
echo Funcao::ConvertToInt($ingresso->participante_cpf);
echo '</p><hr>';
echo '<p class="text-center">Abra o aplicativo do seu banco e aponte a camera para o QR CODE</p>';
if (isset($res->location)) {
    $urlQrCode = 'https://gerarqrcodepix.com.br/api/v1?nome=nome_emissor&cidade=Paraiso&saida=qr&location=' . $res->location;
    echo '<img src="' . $urlQrCode . '" />';
}

?>


<script>
    $(document).ready(function() {
        setInterval(() => {
            $.post('<?= __URLSITE__ . 'modulos/pagamento/retorno_pix.php' ?>', {
                    pix_id: '<?= $txtId ?>'
                },
                function(data, textStatus, jqXHR) {
                    if (data == 'CONCLUIDA') {
                        $.ajax({
                            type: 'POST',
                            url: '<?= __URLSITE__ . 'modulos/pagamento/controller.php' ?>',
                            data: {
                                ingresso_participante_id: '<?= $ingresso->ingresso_participante_id ?>',
                                acao: 'editar',
                                ingresso_participante_status: 'Pago',
                                ingresso_participante_forma_pagamento: '<?= $forma_pagamento ?>'
                            },
                            success: function(data) {
                                alert('Pagamento realizado com sucesso');
                                window.location.href = '<?= ($_SESSION["usuario_nivel"] == "participante" ? __URLSITE__ : __URLSITE__ . 'pagamento/listagem') ?>'
                            }
                        });
                    }
                }
            );
        }, 3000);


    });
</script>